Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1811111 - All the VM templates are visible in the developer catalog but not really/easily instantiable
Summary: All the VM templates are visible in the developer catalog but not really/easi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: SSP
Version: 2.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.4.0
Assignee: Andrej Krejcir
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-06 15:55 UTC by Simone Tiraboschi
Modified: 2020-07-28 19:09 UTC (History)
4 users (show)

Fixed In Version: kubevirt-ssp-operator-container-v2.4.0-20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-28 19:09:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Templates in developer catalog (148.88 KB, image/png)
2020-03-06 15:56 UTC, Simone Tiraboschi
no flags Details
Create a VM from the template (86.82 KB, image/png)
2020-03-06 15:56 UTC, Simone Tiraboschi
no flags Details
developer calatog (103.04 KB, image/png)
2020-06-25 15:14 UTC, Israel Pinto
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github kubevirt common-templates pull 143 0 None closed Hide VM templates from the developer catalog 2020-06-25 13:44:05 UTC
Red Hat Product Errata RHSA-2020:3194 0 None None None 2020-07-28 19:09:55 UTC

Description Simone Tiraboschi 2020-03-06 15:55:15 UTC
Description of problem:

As for the attached screenshots, all the templates are visible in the developer catalog and the user can potentially try to instantiate them from the UI.
But in order to really get a working virtual machine the user should provide the name of an existing PVC which contains the OS disk so the feature (?) is basically unusable and just confusing.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. go to the developer catalog and try to start a VM from one of the templates listed there
2.
3.

Actual results:
you can instantiate the template to a real VM just if you already have an existing PVC and you know its reference

Expected results:
- the feature is completed (at least for upstream OS I can choose from a list of images and let CDI import them)
- or the VM templates are completely hidden from the developer catalog 

Additional info:
I don't know if we already have any annotation to hide a template from the developer catalog or if we need some change also at UI level

Comment 1 Simone Tiraboschi 2020-03-06 15:56:05 UTC
Created attachment 1668137 [details]
Templates in developer catalog

Comment 2 Simone Tiraboschi 2020-03-06 15:56:52 UTC
Created attachment 1668138 [details]
Create a VM from the template

Comment 3 Fabian Deutsch 2020-03-09 09:13:27 UTC
Thanks for raising this Simone.

We should understand if the templates can be hidden from the catalog with an annotation.
Please pear in mind that moving them to a different namespace will hide them as well, but will probably break the UI (which is expecting them in a specific namespace).

Comment 4 Andrej Krejcir 2020-04-02 15:40:41 UTC
A template can be hidden from the UI by adding the 'hidden' tag.

Comment 5 Israel Pinto 2020-06-25 15:14:15 UTC
Verify VM don't appear in developer catalog 
Kubevirt: v0.30.1

Comment 6 Israel Pinto 2020-06-25 15:14:59 UTC
Created attachment 1698802 [details]
developer calatog

Comment 9 errata-xmlrpc 2020-07-28 19:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3194


Note You need to log in before you can comment on or make changes to this bug.